<template>
    <app-layout title="Dashboard">
        <template #header>
            <div class="flex justify-between">
            <h2 class="font-semibold text-xl text-gray-800 leading-tight">
                Users
            </h2>
            <h2 class="font-semibold text-xl text-gray-800 leading-tight">
                <a href="/users/create">Create</a>
            </h2>
            </div>
        </template>

        <div class="flex flex-col">
            <div class="-my-2 overflow-x-auto sm:-mx-6 lg:-mx-8">
                <div class="py-2 align-middle inline-block min-w-full sm:px-6 lg:px-8">
                    <div class="shadow overflow-hidden border-b border-gray-200 sm:rounded-lg">
                        <table class="min-w-full divide-y divide-gray-200">
                            <thead class="bg-gray-50">
                            <tr>
                                <template v-if="users.length>0" v-for="columns in Object.keys(users[0])">
                                    <th scope="col"
                                        class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">
                                        {{columns}}
                                    </th>
                                </template>
                                <th scope="col" class="relative px-6 py-3">
                                    <span class="sr-only">Edit</span>
                                </th>
                                <th scope="col" class="relative px-6 py-3">
                                    <span class="sr-only">Delete</span>
                                </th>
                            </tr>
                            </thead>
                            <tbody class="bg-white divide-y divide-gray-200">
                                <template v-for="user in users">
                                    <tr>
                                    <template v-for="columns in user">
                                        <td class="px-6 py-4 whitespace-nowrap">
                                            {{columns}}
                                        </td>
                                    </template>
                                     <td class="px-6 py-4 whitespace-nowrap text-right text-sm font-medium">
                                         <a :href="`/users/${user.id}/edit`" class="text-indigo-600 hover:text-indigo-900">Edit</a>
                                     </td>
                                        <td class="px-6 py-4 whitespace-nowrap text-right text-sm font-medium">
                                            <form @submit.prevent="deleteuser(user.id)">
                                                <button type="submit"
                                                        class="inline-flex justify-center py-2 px-4 border border-transparent shadow-sm text-sm font-medium rounded-md text-white bg-red-600 hover:bg-red-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">
                                                    Delete
                                                </button>
                                            </form>
                                        </td>
                                    </tr>
                                </template>

                            <!-- More people... -->
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </app-layout>
</template>

<script>
import {defineComponent} from 'vue'
import AppLayout from '@/Layouts/AppLayout.vue'
// import Welcome from '@/Jetstream/Welcome.vue'

export default defineComponent({
    components: {
        AppLayout,
    },
    props: {
            users: {
                type: Array,
                default: [],
            },
    },
    methods: {
        deleteuser(user) {
            this.$inertia.delete(`/users/${user}`)
        }
    }
})
</script>
